com.google.gwt.user.client.ui

## Class FormHandlerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<FormHandler>
      - - com.google.gwt.user.client.ui.FormHandlerCollection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<FormHandler>, java.util.Collection<FormHandler>, java.util.List<FormHandler>, java.util.RandomAccess

  Deprecated.
  Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

      @Deprecated
      public class FormHandlerCollection
      extends java.util.ArrayList<FormHandler>

  Helper class for widgets that accept `FormHandlers`. This subclass of ArrayList assumes that all items added to it will be of type `FormHandler`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormHandlerCollection()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireOnComplete(FormPanel sender, java.lang.String results)` Deprecated. `FormPanel` now implements all handler management internally
    `boolean` | `fireOnSubmit(FormPanel sender)` Deprecated. `FormPanel` now implements all handler management internally

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### FormHandlerCollection

          public FormHandlerCollection()

      Deprecated.

  - ### Method Detail

    - #### fireOnComplete

          @Deprecated
          public void fireOnComplete(FormPanel sender,
                                                 java.lang.String results)

      Deprecated. `FormPanel` now implements all handler management internally
      Fires a `FormHandler.onSubmitComplete(FormSubmitCompleteEvent)` on all handlers in the collection.
      Parameters:
        `sender` - the object sending the event
        `results` - the results of the form submission

    - #### fireOnSubmit

          @Deprecated
          public boolean fireOnSubmit(FormPanel sender)

      Deprecated. `FormPanel` now implements all handler management internally
      Fires a `FormHandler.onSubmit(FormSubmitEvent)` on all handlers in the collection.
      Parameters:
        `sender` - the object sending the event
      Returns:
        `true` if the event should be canceled